### Method

# GtkSource File get_encoding

#### Declaration [src]

    const GtkSourceEncoding*
    gtk_source_file_get_encoding (
      GtkSourceFile* file
    )

#### Description [src]

The encoding is initially `NULL`. After a successful file loading or saving operation, the encoding is non-`NULL`.

Gets property | `GtkSource.File:encoding`

#### Return value

Type: `GtkSourceEncoding`

The character encoding.

The returned data is owned by the instance.